Skip to main content
PUT
Update product details

Authorizations

Authorization
string
header
required

Sign in to the admin dashboard and use the resulting ID token for a store and operation you can access. The authenticated dashboard cookie is accepted when the Authorization header is absent. Missing or insufficient access returns 401.

Path Parameters

id
string
required

product id

Body

application/json
name
string
Maximum string length: 128
slug
string
Maximum string length: 128
Pattern: ^(?!-)([0-9a-zA-Z-]+)(?<!-)$
short_description
string | null
Maximum string length: 1024
metadata
object | null
tags
string[] | null
hsn_code
string | null
Maximum string length: 16
attributes
ProductAttribute · object[]
seo
Seo · object
description
string | null

Full product description.

categories
string[]

Array of category ids.

images
string[]

Array of image file ids.

videos
string[]

Array of video file ids.

pricing
ProductPricingInput · object[]
Minimum array length: 1
promotions
DiscountBasedPromotion · object

promotion_type = discount

subscriptions
ProductSubscription · object[] | null
variants
object[]
sku
string | null
Maximum string length: 128
shipping
ProductShipping · object | null
packaging
ProductPackaging · object · null · null
bundle_items
object[]
product_type
enum<string>
Available options:
physical,
digital,
bundle

Response

OK

message
string
success
boolean
content
object